Bug 463740 - (pirut/yum) pirut/yum crashs (certificate verify failed)
pirut/yum crashs (certificate verify failed)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: John Matthews
Depends On:
  Show dependency treegraph
Reported: 2008-09-24 09:38 EDT by Artur Maciejewski
Modified: 2013-01-10 05:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-24 10:36:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Exception... (3.61 KB, text/plain)
2008-09-24 09:44 EDT, Artur Maciejewski
no flags Details

  None (edit)
Description Artur Maciejewski 2008-09-24 09:38:36 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Artur Maciejewski 2008-09-24 09:44:56 EDT
Created attachment 317587 [details]
Comment 2 James Antill 2008-09-24 10:02:52 EDT
What versions of everything do you have?

Run: yum list yum\* rpm pirut

Are you connecting to rhn.redhat.com or a satellite?
Does it keep happening?
Comment 3 John Matthews 2008-09-24 10:10:46 EDT
Please let us know what the options for "sslCACert" and "serverURL" are set to.  These options exist in the file:  /etc/sysconfig/rhn/up2date
Comment 4 Artur Maciejewski 2008-09-24 10:14:01 EDT
[root@ ~]# yum list yum\* rpm pirut
Loading "dellsysidplugin" plugin
Loading "rhnplugin" plugin
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
  File "/usr/share/yum-cli/yummain.py", line 105, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 289, in doCommands
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 85, in _getTs
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 91, in _getTsInfo
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 537, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 392, in _getSacks
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 242, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 143, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 200, in _check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 781, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 773, in _getRepoXML
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 756, in _loadRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/yum-plugins/rhnplugin.py", line 285, in _getFile
    start, end, copy_local, checkfunc, text, reget, cache)
  File "/usr/lib/yum-plugins/rhnplugin.py", line 377, in _noExceptionWrappingGet
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 927, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 845, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 913, in retryfunc
    fo = URLGrabberFileObject(url, filename, opts)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1001, in __init__
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1072, in _do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1168, in _make_request
    fo = opener.open(req)
  File "/usr/lib64/python2.4/urllib2.py", line 358, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.4/urllib2.py", line 376, in _open
    '_open', req)
  File "/usr/lib64/python2.4/urllib2.py", line 337, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/m2urllib2.py", line 66, in https_open
    h.request(req.get_method(), req.get_full_url(), req.data, headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 47, in connect
    self.sock.connect((self.host, self.port))
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Connection.py", line 156, in connect
    ret = self.connect_ssl()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/SSL/Connection.py", line 149, in connect_ssl
    return m2.ssl_connect(self.ssl, self._timeout)
M2Crypto.SSL.SSLError: certificate verify failed
[root@ ~]# 

I try connect to rhn.redhat.com
Comment 5 Artur Maciejewski 2008-09-24 10:16:35 EDT
sslCACert[comment]=The CA cert used to verify the ssl server

serverURL[comment]=Remote server URL
Comment 6 John Matthews 2008-09-24 10:22:42 EDT
Please change "sslCACert" to:

Then retry a yum list/install of a package.
Comment 7 Artur Maciejewski 2008-09-24 10:31:47 EDT
ok :)

Thanks, yum woks fine
Comment 8 Artur Maciejewski 2008-09-24 10:43:17 EDT
but ...
Stil not working

.el5.x86_64.rpm from rhel-x86_64-server-5
error was [Errno 14] HTTP Error 503: Service Temporarily Unavailable
Comment 9 arun.narang.cs 2010-07-30 16:27:59 EDT
Changing sslCACert=/usr/share/rhn/RHNS-CA-CERT

did not fix this for me. Please advise!

Note You need to log in before you can comment on or make changes to this bug.